Chuyển đến nội dung
Diễn đàn CADViet
Học AutoCAD Online cùng CADViet

TrNghia.Do

Thành viên
  • Số lượng nội dung

    49
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    2

Cộng đồng

7 (bình thường)

About TrNghia.Do

  • Cấp bậc
    biết vẽ arc
  1. [Help] Lisp Trích Xuất Giá Trị Trong Dimension Ra Mtext

    (defun c:cdt (/ ent poi) (while (and (setq ent (car (nentsel "\nChon DIMTEXT: "))) (eq (cdr (assoc 0 (entget ent))) "MTEXT") (Setq poi (getpoint "\nPick diem dat Mtext: " (cdr (assoc 10 (entget ent)))))) (entmake (subst (cons 10 poi) (assoc 10 (entget ent)) (entget ent)))) (princ)) Mình thấy lisp này chỉ hoạt động tốt trên UCS-W , còn với UCS bất kỳ text trích xuất ra bị nhảy đi rất xa với dim đc chọn. Mong bạn có cách khắc phục để có thể sử dụng trên bất kì ucs nào mà ko cần chuyển về UCS-W
  2. [Help] Lisp Trích Xuất Giá Trị Trong Dimension Ra Mtext

    Khi gọi lệnh pick vào dim thì mình thấy báo lỗi sau : "CXX Pick DIM; error: no function definition: DXF" Bác thử check lại xem có vấn đề gì ko?
  3. [HELP] NHỜ SỬA LISP CHÈN BLOCK THEO FILE DCL

    Thanks bạn nhiều...Mình sửa đc rồi
  4. [HELP] NHỜ SỬA LISP CHÈN BLOCK THEO FILE DCL

    Mình đã chỉnh lại file block nguồn như bạn hướng dẫn và kết quả chèn rất ok với các trường hợp 2 điểm p2 và p3 nằm theo hướng vuông góc x, y . Tuy nhiên khi chọn 2 điểm p2, p3 bất kỳ, block chèn đúng hướng, tuy nhiên luôn bị lẻ một góc rất nhỏ tầm 0,4 độ ko biết tại sao.
  5. [HELP] NHỜ SỬA LISP CHÈN BLOCK THEO FILE DCL

    Mình có dựa vào code của bạn để cho vào lisp chính như sau: Orings ORP (chuan) - duy.lsp Tuy nhiên khi sử dụng thì lisp luôn báo là : Command: 123 Error: too many arguments Mình ko biết là lỗi ở đâu, mong bạn xem giúp. Sorry hôm qua mình có việc nên ko trả lời bạn ngay đc :p
  6. [HELP] NHỜ SỬA LISP CHÈN BLOCK THEO FILE DCL

    Mình đã làm như bạn bảo và quả thật nó nhận cho 2 trường hợp thật, xin lỗi bạn vì lần trc chưa hiểu ý , he he. Tuy nhiên lisp khi chạy có vấn đề chút khi chèn block theo "hinh chieu canh" , cụ thể là block khi chèn bị xoay khoảng 90 độ. Mình có đọc về hàm angle thì nó cho kết quả là radian, ko biết có phải do thế nên góc quay hay bị lẻ ko. Nhờ bạn xem giúp .gui manh.dwg Orings ORP (chuan) - manh.lsp Sorry vì hôm nay mới trả lời bác đc, thất lễ quá :p
  7. [HELP] NHỜ SỬA LISP CHÈN BLOCK THEO FILE DCL

    Vâng...Cám ơn sự nhiệt tình của bác rất nhiều :)
  8. [HELP] NHỜ SỬA LISP CHÈN BLOCK THEO FILE DCL

    Hình như anh em đang không hiểu ý của nhau. Nếu như mình thay đoạn lisp trên vào thay thế hàm insert_orc thì chỉ có tác dụng thay đổi cách chèn cho toàn bộ thôi chứ. Cái mình muốn là có rẽ nhánh giữa 2 lựa chọn "hình chiếu bằng " và "hình chiếu cạnh" cơ. Ứng với mỗi lựa chọn là 1 hàm insert riêng biệt ý :(
  9. [HELP] NHỜ SỬA LISP CHÈN BLOCK THEO FILE DCL

    Khổ mình ko biết mà, mình mới chỉ tập tọe mấy lệnh cơ bản và chỉ mới dừng ở mức viết các lệnh đơn giản liên quan đến mã lệnh có sẵn của cad thôi.
  10. [HELP] NHỜ SỬA LISP CHÈN BLOCK THEO FILE DCL

    Cái này mình chưa hiểu lắm : 1. Ý mình muốn là với mỗi đường dẫn sẽ có hàm chèn block riêng khác nhau ý. - Duong dan "hinh chieu bang" là chen truc tiep luon - Duong dan "hinh chieu canh" la chen theo 1 diem va goc xoay 2. Đoạn code bạn mới viết theo mình hiểu là sửa cấu trúc lệnh của việc insert block theo điểm và góc cho mình. Mình chưa hiểu nó liên quan gì đến "đường dẫn" mà bạn nói phía bài trc lắm
  11. [HELP] NHỜ SỬA LISP CHÈN BLOCK THEO FILE DCL

    Cái này chỉ giải quyết được 1 phần của bài toán thôi bạn , mình muốn với hình chiếu bằng thì chỉ cần chọn 1 điểm thì sẽ chèn block . Còn với hình chiếu cạnh sẽ chọn 2 điểm nhằm chọn hướng để insert block cơ. Nhờ bạn xem lại giúp, mình đã trình bày rõ 2 cách chèn rồi đấy. Thanks !
  12. [HELP] NHỜ SỬA LISP CHÈN BLOCK THEO FILE DCL

    Em xin tiếp thu ý kiến của bác, cũng tại em cũng học ở mức vọc vạch thôi chứ cũng chưa hiểu căn bản gì cả :p
  13. [HELP] NHỜ SỬA LISP CHÈN BLOCK THEO FILE DCL

    Hix...Bác nói nặng lời quá. Nếu biết viết thì mình đã chả dám phiền bạn ý giúp :(
  14. [HELP] NHỜ SỬA LISP CHÈN BLOCK THEO FILE DCL

    Hì hì....Cố giúp mình nốt lần này thôi :p
  15. [HELP] NHỜ SỬA LISP CHÈN BLOCK THEO FILE DCL

    Mình có dựa vào đoạn code bạn sửa để tạo ra file lisp có 4 list box như sau : Orings ORP.lsp Mình muốn cải tiến lisp này một chút như sau: - Khi chọn dòng "hình chiếu bằng" lisp sẽ insert block theo tên tương ứng theo dạng như sau: (defun insert_1(/ p1) (setq p1 (getpoint "Press point:")) (command "insert" "E:/Nghia_AutoLisp 2012/Hinh chieu bang/name.dwg" p1 "" "" "") (command "change" "l" "" "p" "la" "Bolts - Dowel Pins" "") ) Khi chọn dòng "hình chiếu cạnh" lisp sẽ insert block theo tên tương ứng theo dạng như sau: (defun insert_2 (/ p2 p3) (setq p2 (getpoint "center point:")) (setq p3 (getpoint "direction:")) (command "insert" "E:/Nghia_AutoLisp 2012/Hinh chieu canh/name.dwg" p2 "" "" p3) (command "rotate" "l" "" p1 "90") (command "_.Explode" "l") ) Nhờ bạn xem giúp có cách nào làm được như ý kiến trên của mình ko? Thanks bạn!
×